Class | Irc::Bot::Language
In: | lib/rbot/language.rb
Parent: | Object

### Methods

from_locale get new rescan save scan set_language

### Constants

Lang2Locale | = | { :english => 'en', :british_english => 'en_GB', :american_english => 'en_US', :italian => 'it', :french => 'fr', :german => 'de', :dutch => 'nl', :japanese => 'ja', :russian => 'ru', :traditional_chinese => 'zh_TW', :simplified_chinese => 'zh_CN' |  | This constant hash holds the mapping from long language names to the usual POSIX locale specifications

### Attributes

language | [R] |

### Public Class methods

from_locale()

Return the shortest language for the current GetText locale

new(bot, language)

### Public Instance methods

get(key)
rescan()
save()
scan()
set_language(language)

[Validate]